// -*- coding: utf-8 -*-
// Title: Disco World
// Author: JackDole 
// Date: 2015.12.06 03:18:32

Star	"DJ/JDV 00033 A"
{
	ParentBody	"JDV 00033"
	Class		"M0 V"
	
	Orbit
	{
		Period		1.5
		Eccentricity    0
		Inclination     0
		MeanAnomaly     0
		AscendingNode   0
		ArgOfPericen    0
		RefPlane	"Ecliptic"
	}
}

Star	"Lucifer/JDV 00033 B"
{
	ParentBody	"JDV 00033"
	Class		"M1 V"
	
	Orbit
	{
		Period		1.5
		Eccentricity    0
		Inclination     0
		MeanAnomaly     0
		AscendingNode   0
		ArgOfPericen    180
		RefPlane	"Ecliptic"
	}
}

DwarfPlanet	"Disco Ball"
{
	ParentBody	"JDV 00033"
	Class		"Selena"
	
	Radius		500000
	Mass		1
	
	RotationPeriod	-0.16666666666667
	Oblateness	0
	Obliquity	22
	EqAscendNode    0
	Precession	1e9
	
	Surface
	{
		DiffMap		"Disco/DiscoBall03.*"
		GlowMap		"Disco/DiscoBall_glow.*"  
		GlowMode       "Thermal"
		GlowColor      (1.00 0.90 0.96)
		GlowBright      0.025 
		DiffMapAlpha	"Transp"
	}
	
	NoClouds	true
	NoLava          true
	NoAtmosphere    true
	NoAurora        true
	NoCometTail     true
	NoOcean		true
	NoRings		true
	
	Orbit
	{
		Type		"Static"
		Eccentricity    0
		Inclination     90
		MeanAnomaly     0
		AscendingNode   0
		ArgOfPericen    0
		RefPlane	"Ecliptic"
	}
}

Planet	"Disco World"
{
	ParentBody	"JDV 00033"
	Class		"Terra"
	
	Radius		7500000
	Mass		100
	
	RotationPeriod	48
	Oblateness	0
	Obliquity	22
	EqAscendNode    0
	Precession	1e9
	
	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		Biome   "Marine/Terrestrial"
	}
	
	Surface
	{
		DiffMap		"Disco/Disco.*"
		BumpMap		"Disco/Discobump.*"
		BumpHeight      2500
		BumpOffset      0
		DiffMapAlpha	"Transp"
	}
	
	NoClouds	false
	
	Clouds
	{
		Height		-1000
		DiffMap		"Disco/innenDisco.*"
		BumpMap		"Disco/innenDiscoBump.*"
		BumpHeight      2500
		BumpOffset      0
		DiffMapAlpha	"Transp"
		Velocity	0
	}
	
	Clouds
	{
		Height		-500
		DiffMap		"Disco/Disco.*"
		DiffMapAlpha	"Transp"
		Velocity	0
	}
	
	NoLava          true
	NoAtmosphere    false
	NoAurora        true
	NoCometTail     true
	NoOcean		true
	NoRings		true
	
	Atmosphere
	{
		Model          "Earth"
		Height          111.5884
		Density         1.930697
		Pressure        1.115883
		Greenhouse      111.1111
		Bright          6.031746
		Opacity         0.2777778
		SkyLight        1.507936
	}
	
	Orbit
	{
		Type	"Static"
		Eccentricity    0
		Inclination     0
		MeanAnomaly     0
		AscendingNode   0
		ArgOfPericen    0
		RefPlane	"Ecliptic"
	}
}

Moon	"Disco Moon"
{
	ParentBody	"Disco World"
	Class		"Terra"
	
	Radius		7750
	
	RotationPeriod	21
	Oblateness	0
	Obliquity	0
	EqAscendNode    0
	Precession	1e9
	
	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		Biome   "Marine/Terrestrial"
	}
	
	NoClouds	false
	
	Atmosphere
	{
		Model		"Mars"
		Height		102.64
		Pressure	1.1159
		Density		1.1159
		Greenhouse	59.524
	}
	
	NoLava          false
	NoAtmosphere    false
	NoAurora        false
	NoRings         true
	NoCometTail     true
	NoOcean		false
	
	Orbit
	{
		SemiMajorAxis	0.2
		Eccentricity    0
		Inclination     -15
		MeanAnomaly     0
		AscendingNode   0
		ArgOfPericen    0
		RefPlane	"Ecliptic"
	}
}

